/*
 * Copyright (c) 2017, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */


package com.sun.ts.tests.securityapi.idstore.database.invalidcallerquery;

import com.sun.javatest.Status;
import com.sun.ts.lib.harness.EETest.Fault;
import com.sun.ts.lib.util.TestUtil;
import com.sun.ts.tests.securityapi.idstore.common.BaseIDStoreClient;
import com.sun.ts.tests.common.webclient.http.HttpRequest;

import java.io.PrintWriter;
import java.util.Properties;

public class Client extends BaseIDStoreClient {
	

    private String pageServletBase = "/securityapi_idstore_database_invalidcallerquery_web";
    
    /**
     * Entry point for different-VM execution.  It should delegate to method
     * run(String[], PrintWriter, PrintWriter), and this method should not
     * contain any test configuration.
     */
    public static void main(String[] args) {
        Client theTests = new Client();
        Status s = theTests.run(args, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }


    /**
     * Entry point for same-VM execution. In different-VM execution, the 
     * main method delegates to this method.
     */
    public Status run(String args[], PrintWriter out, PrintWriter err) {

        Client theTests = new Client();

        return super.run(args, out, err);
    }

    /*
     *   @class.setup_props: webServerHost;
     *                       webServerPort;
     *                       ts_home;
     *
     *
     */
    //Note:Based on the input argument setup will intialize JSP or servlet pages

    public void setup(String[] args, Properties p) throws Fault {
        super.setup(args, p);
        
        props = p;
    }

    /*
     * @testName:  testAnnotationDBIDStore_Invalidcallerquery
     *
     * @assertion_ids: Security:JAVADOC:112
     *
     * @test_Strategy:
     * 
     * Test the properties of DB IDStore annotation with invalid callerQuery
     * request with valid user/pwd, get exception since callerquery is invalid		  
     * 	
     *              
     */
    public void testAnnotationDBIDStore_Invalidcallerquery() throws Fault {
    	String testName = "idstore/database/testAnnotationDBIDStore_Invalidcallerquery";
    	String pageSec = pageServletBase + "/ServletForDatabaseIDStore";    	
		String username = "tom";
    	String password = "secret1";    	
    	
    	String url = pageSec + "?user=" + username + "&pwd=" + password; 
        StringBuffer sb = new StringBuffer(100);        
        sb.append("Exception received.").append("|");

        TEST_PROPS.setProperty(TEST_NAME, testName);
        TEST_PROPS.setProperty(REQUEST, getRequestLine("GET", url));
        TEST_PROPS.setProperty(SEARCH_STRING, sb.toString());
        invoke();
        dumpResponse();
    	
    }
    
    

}

